import request from '@/utils/request'

export function getList(data) {
  return request({
    url: 'system/topButton/getListJson',
    method: 'post',
    data
  })
}

export function getPageList(data) {
  return request({
    url: 'system/topButton/getPageListJson',
    method: 'post',
    data
  })
}

export function getForm(data) {
  return request({
    url: 'system/topButton/getFormJson',
    method: 'post',
    data
  })
}

export function saveForm(data) {
  return request({
    url: 'system/topButton/saveFormJson',
    method: 'post',
    data
  })
}

export function deleteForm(data) {
  return request({
    url: 'system/topButton/DeleteFormJson',
    method: 'post',
    data
  })
}

export default { getList, getPageList, getForm, saveForm, deleteForm }
